<div
  *tuiLet="isOrdersLoading$ | async as isOrdersLoading"
  class="mx-auto max-w-[1170px] px-4 pb-10"
>
  <a
    [routerLink]="['/account']"
    class="mt-16 mb-10 flex items-center hover:opacity-70 print:hidden"
  >
    <tui-svg
      src="icons::account-back"
      class="mr-3 !h-[32px] !w-[32px]"
    ></tui-svg>
    <span class="text-sm">Назад к личному кабинету</span>
  </a>
  <h1 class="mb-8 font-heading text-2xl font-bold print:hidden lg:text-3xl">
    Мои заказы
  </h1>
  <div #filter>
    <app-filter
      (filterChanged)="fetchDataWithFilterParams($event)"
    ></app-filter>
  </div>
  <p
    *ngIf="backendErrors$ | async as backendErrors; else ordersData"
    class="text-center text-lg text-gray-600"
  >
    {{ backendErrors }}
  </p>
  <ng-template #ordersData>
    <ng-container *tuiLet="orders$ | async as orders">
      <tui-loader
        *ngIf="xs$ | async; else tableTemplate"
        [showLoader]="isOrdersLoading"
        class="print:hidden"
        [class.h-10]="isOrdersLoading"
      >
        <ng-container *ngIf="orders && !isOrdersLoading">
          <div
            *ngFor="let order of orders"
            class="mb-7 overflow-hidden border-b border-gray-300 pb-7"
          >
            <app-mobile-data
              key="Заказ"
              [value]="getIdValue(order.order_id)"
              (click)="viewOrder(order.order_id)"
            ></app-mobile-data>
            <app-mobile-data
              key="Дата заказа"
              [value]="order.date"
            ></app-mobile-data>
            <app-mobile-data
              key="Отправитель"
              [value]="order.sender_name"
            ></app-mobile-data>
            <app-mobile-data
              key="Получатель"
              [value]="order.recipient_name"
            ></app-mobile-data>
            <app-mobile-data
              key="Город отправления"
              [value]="order.start_city"
            ></app-mobile-data>
            <app-mobile-data
              key="Город получения"
              [value]="order.end_city"
            ></app-mobile-data>
            <app-mobile-data
              key="Цена"
              [value]="order.order_price"
            ></app-mobile-data>
            <app-mobile-data
              key="Статус"
              [value]="order.status"
            ></app-mobile-data>
            <button
              type="button"
              size="s"
              tuiButton
              (click)="printOrder(order.order_id)"
              class="mt-4"
            >
              Напечатать
            </button>
          </div>
        </ng-container>
      </tui-loader>
      <ng-template #tableTemplate>
        <div class="mb-7 flex flex-col print:hidden">
          <div class="mb-4 overflow-x-auto">
            <div class="inline-block min-w-full align-middle">
              <div
                class="overflow-hidden shadow-sm ring-1 ring-black ring-opacity-5"
              >
                <tui-loader
                  [showLoader]="isOrdersLoading"
                  [class.h-20]="isOrdersLoading"
                >
                  <table
                    #table
                    *ngIf="orders && !isOrdersLoading"
                    tuiTable
                    [columns]="columns"
                    class="w-full"
                    [class.opacity-0]="isOrdersLoading"
                  >
                    <thead>
                      <tr tuiThGroup>
                        <th
                          *tuiHead="'order_id'"
                          tuiTh
                          [sorter]="null"
                          [sticky]="true"
                        >
                          № Заказа
                        </th>
                        <th *tuiHead="'date'" tuiTh [sticky]="true">
                          Дата заказа
                        </th>
                        <th
                          *tuiHead="'sender_name'"
                          tuiTh
                          [sorter]="null"
                          [sticky]="true"
                        >
                          Отправитель
                        </th>
                        <th *tuiHead="'recipient_name'" tuiTh [sticky]="true">
                          Получатель
                        </th>
                        <th *tuiHead="'start_city'" tuiTh [sticky]="true">
                          Город отправления
                        </th>
                        <th *tuiHead="'end_city'" tuiTh [sticky]="true">
                          Город получения
                        </th>
                        <th *tuiHead="'order_price'" tuiTh [sticky]="true">
                          Цена
                        </th>
                        <th *tuiHead="'status'" tuiTh [sticky]="true">
                          Статус
                        </th>
                        <th
                          *tuiHead="'print'"
                          tuiTh
                          [sorter]="null"
                          [sticky]="true"
                        >
                          Печать
                        </th>
                      </tr>
                    </thead>
                    <tbody tuiTbody [data]="orders">
                      <tr *tuiRow="let order of orders" tuiTr>
                        <td *tuiCell="'order_id'" tuiTd>
                          <b
                            (click)="viewOrder(order.order_id)"
                            class="hover:cursor-pointer"
                            >{{ order.order_id }}</b
                          >
                        </td>
                        <td *tuiCell="'date'" tuiTd>
                          {{ order.date }}
                        </td>
                        <td *tuiCell="'sender_name'" tuiTd>
                          {{ order.sender_name }}
                        </td>
                        <td *tuiCell="'recipient_name'" tuiTd>
                          {{ order.recipient_name }}
                        </td>
                        <td *tuiCell="'start_city'" tuiTd>
                          {{ order.start_city }}
                        </td>
                        <td *tuiCell="'end_city'" tuiTd>
                          {{ order.end_city }}
                        </td>
                        <td *tuiCell="'order_price'" tuiTd>
                          {{ order.order_price }} {{ 'RUB' | tuiCurrency }}
                        </td>
                        <td *tuiCell="'status'" tuiTd>
                          {{ order.status }}
                        </td>
                        <td *tuiCell="'print'" tuiTd>
                          <button
                            tuiIconButton
                            type="button"
                            appearance="icon"
                            icon="tuiIconPrintLarge"
                            (click)="printOrder(order.order_id)"
                          ></button>

                          <!--                      <b class="text-yellow hover:cursor-pointer">Напечатать</b>-->
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </tui-loader>
              </div>
            </div>
          </div>
        </div>
      </ng-template>
      <div
        *ngIf="orders && !isOrdersLoading"
        class="flex flex-col items-center space-y-8 print:hidden md:flex-row md:space-y-0"
      >
        <tui-pagination
          *ngIf="pages > 1"
          [length]="pages"
          [index]="pageIndex"
          (indexChange)="goToPage($event)"
          class="md:ml-auto md:mr-auto lg:mr-0"
        ></tui-pagination>
        <div class="hidden md:ml-auto lg:block">
          <button
            type="button"
            tuiButton
            size="m"
            (click)="exportToExcel('xlsx')"
          >
            Экспорт в Excel
          </button>
        </div>
      </div>
      <p
        *ngIf="!isOrdersLoading && !orders"
        class="text-center text-xl text-gray-500"
      >
        По указанным параметрам нет данных
      </p>
    </ng-container>
  </ng-template>
</div>
